MRWEntry Struct Reference

a entry to store a zone structure More...

`#include <MRWParser.hxx>`

Inheritance diagram for MRWEntry:

## Public Member Functions

| MRWEntry ()
| constructor More...
std::string | name () const
| returns the entry name; More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
virtual | ~MWAWEntry ()
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes

int | m_fileType
| the entry type More...
int | m_N
| the number of value More...
int | m_value
| a unknown value More...

## Friends

std::ostream & | operator<< (std::ostream &o, MRWEntry const &ent)
| operator<< More...

## Additional Inherited Members

Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...
std::string | m_extra
| an extra string More...

## Detailed Description

a entry to store a zone structure

## Constructor & Destructor Documentation

MRWEntry::MRWEntry | ( |  | ) |

inline

constructor

## Member Function Documentation

std::string MRWEntry::name | ( |  | ) | const

returns the entry name;

Referenced by MRWParser::readDocInfo(), MRWText::readFontNames(), MRWText::readFonts(), MRWText::readPLCZone(), MRWGraph::readPostscript(), MRWText::readRulers(), MRWParser::readSeparator(), MRWText::readStyleNames(), MRWText::readTextStruct(), MRWGraph::readToken(), MRWText::readZone(), MRWParser::readZone(), MRWParser::readZone13(), MRWParser::readZoneb(), MRWParser::readZonec(), MRWParser::readZoneDim(), and MRWParser::readZoneHeader().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MRWEntry const & | ent
| ) |  |

friend

operator<<

## Member Data Documentation

int MRWEntry::m_fileType

the entry type

Referenced by name(), MRWParser::readEntryHeader(), MRWText::readPLCZone(), MRWParser::readZone(), and MRWParser::readZoneDim().

int MRWEntry::m_N

the number of value

Referenced by MRWParser::readEntryHeader(), MRWText::readFontNames(), MRWText::readFonts(), MRWText::readPLCZone(), MRWText::readRulers(), MRWText::readStyleNames(), MRWText::readTextStruct(), MRWParser::readZoneb(), MRWParser::readZonec(), and MRWParser::readZoneDim().

int MRWEntry::m_value

a unknown value

Referenced by MRWParser::readEntryHeader().

The documentation for this struct was generated from the following files:

- MRWParser.hxx
- MRWParser.cxx